SplDoublyLinkedList::unshift
SplStack
SplDoublyLinkedList
PHP Manual

# SplDoublyLinkedList::valid

(PHP 5 >= 5.3.0)

SplDoublyLinkedList::valid — Check whether the doubly linked list contains more nodes

### Description

public bool SplDoublyLinkedList::valid ( void )

Checks if the doubly linked list contains any more nodes.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the doubly linked list contains any more nodes, `FALSE` otherwise.

SplDoublyLinkedList::unshift
SplStack
SplDoublyLinkedList
PHP Manual